Subject: Re: bug#7562: automake-set variables don't get properly reordered when overriden in Makefile.am

From: Stefano Lattarini <[email-masked]>
Date: Sun, 5 Dec 2010 21:50:52 +0100

On Sunday 05 December 2010, Jack Kelly wrote:
> Remark: This may be unrelated.
> 
> I don't know about overriding in Makefile.am, but overriding $(prefix)
> is important for supporting GNU Stow. To set up a package for Stow,
> you configure for one prefix and install under another (note that this
> isn't the same as using $(DESTDIR) - that dumps the whole directory
> tree under the target path).
> 
> Example:
> 
> ./configure --prefix=$HOME
> make
> make prefix=$HOME/stow/foo-x.y.z
> cd $HOME/stow
> stow foo-x.y.z
> 
> So whatever you do with the variable ordering, I hope it doesn't break
> overrides from the command line.
> 
Oh, it must absolutely not break that, since the behaviour you want is
mandated by the GNU coding standards, and cannot be changed.  Breaking
it would be a *grave* automake bug.  So I guess you're safe in this
respect.

Regards,
  Stefano